# Version SVN: $Id: defaults.yml 221 2016-10-20 02:50:55Z sven.poeche $
defaults:
  livestreaming:
    name:                             Livestreams
    description:
    weight:                           -9595
    params:
      enable_livestreaming:
        type:                         boolean
        value:                        true
        name:                         'Enable livestreams'
        description:                  'If set to true, livestreams are activated'
        editable:                     true
        system:                       false
        nullable:                     false
      enable_livestream_player:
        type:                         boolean
        value:                        false
        name:                         'Enable livestream player on startpage'
        description:                  'If set to true, the livestream player will be displayed on the start page'
        editable:                     true
        system:                       false
        nullable:                     false

      livestreaming_menu:
        type:                         integer
        value:                        5
        name:                         'Number of livestream positions in main menu'
        description:                  'This defines the number of livestream positions in the main menu'
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_verify_user:
        type:                         boolean
        value:                        false
        name:                         'Verify livestream users'
        description:                  'If set to true, new livestream users have to be verified by an livestream owner'
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_player_connection_timeout:
        type:                         integer
        value:                        10
        name:                         'Connection timeout'
        description:                  'Connection timeout for livestreams in seconds'
        editable:                     true
        system:                       false
        nullable:                     false

      livestreaming_default_cover:
        type:                         file
        value:                        ''
        destination:                  %SF_ROOT_DIR%/userdata/
        mime-types:                   web_images
        name:                         'Default cover'
        description:                  'This is the image file that is used as the default cover in the player'
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_default_placeholder:
        type:                         file
        value:                        ''
        destination:                  %SF_ROOT_DIR%/userdata/
        mime-types:                   web_images
        name:                         'Default placeholder'
        description:                  'This is the image file that is used as the default placeholder in the player'
        editable:                     true
        system:                       false
        nullable:                     false

      livestreaming_views_enabled:
        type:                         boolean
        value:                        true
        name:                         'Show livestream views in Template'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false

      livestreaming_showsharebutton:
        type:                         boolean
        value:                        true
        name:                         'Show share button'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      
      livestreaming_enable_share:
        type:                         boolean
        value:                        true
        name:                         'Allow share'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false

      livestreaming_enable_categories:
        type:                         boolean
        value:                        true
        name:                         'Enable categories box'
        description:                  'If this option is set to true, the categories are listed on the livestream page'
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_enable_tags:
        type:                         boolean
        value:                        true
        name:                         'Enable tags box'
        description:                  'If this option is set to true, the tags are listed on the livestream page'
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_enable_comments:
        type:                         boolean
        value:                        true
        name:                         'Activate comments'
        description:                  'If set to true, users can comment livestream'
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_enable_rating:
        type:                         boolean
        value:                        true
        name:                         'Allow rating'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_enable_likes:
        type:                         boolean
        value:                        true
        name:                         'Allow likes'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_enable_favorite:
        type:                         boolean
        value:                        true
        name:                         'Allow favorite'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_enable_related:
        type:                         boolean
        value:                        true
        name:                         'Enable related livestream'
        description:                  'If this option is set to true, the related livestream is listed on the livestream page'
        editable:                     true
        system:                       false
        nullable:                     false

      livestreaming_perpage:
        type:                         integer
        value:                        10
        name:                         'Number of livestreams per page (thumbnail view)'
        description:                  'Maximum number of livestreams shown per page in thumbnail view'
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_perpage_slider:
        type:                         integer
        value:                        5
        name:                         'Number of livestreams per page (slider view)'
        description:                  'Maximum number of livestreams shown per page in slider view'
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_perpage_list:
        type:                         integer
        value:                        10
        name:                         'Number of livestreams per page (list view)'
        description:                  'Maximum number of livestreams shown per page in list view'
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_perpage_big:
        type:                         integer
        value:                        6
        name:                         'Number of livestreams per page (big thumbnail view)'
        description:                  'Maximum number of livestreams shown per page in big thumbnail view'
        editable:                     true
        system:                       false
        nullable:                     false

      livestreaming_comments_perpage:
        type:                         integer
        value:                        10
        name:                         'Number of livestream comments per page'
        description:                  'This sets the maximum number of livestream comments per page'
        editable:                     true
        system:                       false
        nullable:                     false

      livestreaming_related_perpage:
        type:                         integer
        value:                        10
        name:                         'Number of related livestream per page on livestream pages'
        description:                  'This sets the maximal number of related livestream shown per page on livestream pages'
        editable:                     true
        system:                       false
        nullable:                     false

      livestreaming_rating_min:
        type:                         integer
        value:                        1
        name:                         'Minimum value for ratings'
        description:                  '(default: @default)'
        editable:                     true
        system:                       true
        nullable:                     false
      livestreaming_rating_max:
        type:                         integer
        value:                        5
        name:                         'Maximum value for ratings'
        description:                  '(default: @default)'
        editable:                     true
        system:                       true
        nullable:                     false
      livestreaming_rating_step:
        type:                         integer
        value:                        1
        name:                         'Rating step size'
        description:                  'The step for ratings (default: @default)'
        editable:                     true
        system:                       true
        nullable:                     false

      livestreaming_visit_time_diff:          # Time to wait until a visit will be counted again
        type:                         integer
        value:                        0
        name:                         'Time limit for livestream visit count'
        description:                  'This sets the number of seconds, during which visits to a livestream by the same user will not be counted (default: @default = every visit counts)'
        editable:                     true
        system:                       false
        nullable:                     false

      livestreaming_rating_time_lock:
        type:                         integer
        value:                        null
        name:                         ''
        description:                  ''
        editable:                     false
        system:                       true
        nullable:                     true
      livestreaming_likes_time_lock:
        type:                         integer
        value:                        null
        name:                         ''
        description:                  ''
        editable:                     false
        system:                       true
        nullable:                     true

      livestreaming_recalculate_rating_timeout:
        type:                         integer
        value:                        180
        name:                         ''
        description:                  ''
        editable:                     false
        system:                       true
        nullable:                     false
      livestreaming_recalculate_views_timeout:
        type:                         integer
        value:                        180
        name:                         ''
        description:                  ''
        editable:                     false
        system:                       true
        nullable:                     false
      livestreaming_recalculate_likes_timeout:
        type:                         integer
        value:                        180
        name:                         ''
        description:                  ''
        editable:                     false
        system:                       true
        nullable:                     false
        
      livestream_featured:            # 0=new, 1=best rated, 2=most access, 3=random, 4=custom livestream
        type:                         set
        value:                        0
        set:                          { 0: 'new', 1: 'best rated', 2: 'most access', 3: 'random', 4: 'custom livestream' }
        name:                         'Featured livestream type'
        description:                  'Defines how featured livestreams are selected for the start page'
        editable:                     true
        system:                       false
        nullable:                     false
        
      livestream_featured_id:
        type:                         model
        value:                        ~
        model:                        Livestream
        autocomplete:                 true
        source:                       'livestream/autocomplete?mode=livestream'
        value_field:                  'lsid'
        criteria_method:              'getCriteriaLegalLivestream'
        name:                         'Custom livestream'
        description:                  'If "custom livestream" is selected as "Featured livestream type" the custom livestream can be defined here'
        editable:                     true
        system:                       false
        nullable:                     true

  livestreaming_player:
    name:                             'Flash Player Livestream'
    description:                      ''
    weight:                           -9599
    params:
      livestreaming_player_default_width:
        type:                         integer
        value:                        720
        name:                         'Default width of the ViMP media player'
        description:                  'This sets the default width of the media player (in pixel)'
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_player_default_height:
        type:                         integer
        value:                        540
        name:                         'Default height of the ViMP media player'
        description:                  'This sets the default height of the media player (in pixel)'
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_player_image_fullscreen_width:
        type:                         integer
        value:                        1280
        name:                         'Fullscreen image width of the ViMP media player'
        description:                  'This sets the fullscreen image width of the media player (in pixel)'
        editable:                     true
        system:                       true
        nullable:                     false
      livestreaming_player_image_fullscreen_height:
        type:                         integer
        value:                        960
        name:                         'Fullscreen image height of the ViMP media player'
        description:                  'This sets the fullscreen image height of the media player (in pixel)'
        editable:                     true
        system:                       true
        nullable:                     false
      livestreaming_player_autostart:
        type:                         boolean
        value:                        false
        name:                         'Autostart livestream playback'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_player_autoload:
        type:                         boolean
        value:                        false
        name:                         'Autoload livestream'
        description:                  ''
        editable:                     true
        system:                       true
        nullable:                     false
      livestreaming_player_autolightsoff:
        type:                         boolean
        value:                        false
        name:                         'Lights off automatically'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_player_fullscreen:
        type:                         boolean
        value:                        true
        name:                         'Allow fullscreen mode'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
#     livestreaming_player_showsharebutton:
#       type:                         boolean
#       value:                        false
#       name:                         'Show share button'
#       description:                  ''
#       editable:                     true
#       system:                       false
#       nullable:                     false
      livestreaming_player_rating_enabled:
        type:                         boolean
        value:                        true
        name:                         'Show rating'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_player_showinfobutton:
        type:                         boolean
        value:                        true
        name:                         'Show info button'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_player_showlightsbutton:
        type:                         boolean
        value:                        true
        name:                         'Show lights off button'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_player_loop:
        type:                         boolean
        value:                        false
        name:                         'Loop playback'
        description:                  ''
        editable:                     true
        system:                       true
        nullable:                     false
      livestreaming_player_scale:
        type:                         set
        value:                        noscale
        set:                          { scale: 'scale', noscale: 'noscale' }
        name:                         'Player scaling'
        description:                  '(default: @default)'
        editable:                     false
        system:                       true
        nullable:                     false
      livestreaming_player_recommended_enabled:
        type:                         boolean
        value:                        false
        name:                         'Enable related livestream in ViMP Media Player'
        description:                  ''
        editable:                     true
        system:                       true
        nullable:                     false
      livestreaming_player_max_recommended:
        type:                         integer
        value:                        15
        name:                         'Number of related livestream in ViMP Media Player'
        description:                  ''
        editable:                     true
        system:                       true
        nullable:                     false
      livestreaming_player_tooltips:
        type:                         boolean
        value:                        false
        name:                         'Show tooltips in ViMP Media Player'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_player_max_sidebar:
        type:                         integer
        value:                        20
        name:                         'Maximum number of items in sidebar in ViMP Media Player'
        description:                  ''
        editable:                     false
        system:                       true
        nullable:                     false
      livestreaming_player_skin:
        type:                         set
        value:                        'air_black'
        set:                          {air_white: 'Air (white)', air_black: 'Air (black)', ice_white: 'Ice (white)', ice_black: 'Ice (black)' }
        name:                         'ViMP Media Player skin'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_player_pstreamcolor:
        type:                         color
        value:                        '0x000000'
        name:                         'Stream bar color'
        description:                  'Enter a hexadecimal value in the format 0xrrggbb (default: @default)'
        editable:                     true
        system:                       true
        nullable:                     false
      livestreaming_player_pseekcolor:
        type:                         color
        value:                        '0xB22222'
        name:                         'Seek bar color'
        description:                  'Enter a hexadecimal value in the format 0xrrggbb (default: @default)'
        editable:                     true
        system:                       true
        nullable:                     false
      livestreaming_player_fontcolor:
        type:                         color
        value:                        '0x696969'
        name:                         'Text color'
        description:                  'Enter a hexadecimal value in the format 0xrrggbb (default: @default)'
        editable:                     true
        system:                       true
        nullable:                     false
      livestreaming_player_fontselectedcolor:
        type:                         color
        value:                        '0x696969'
        name:                         'Text color (highlighted)'
        description:                  'Enter a hexadecimal value in the format 0xrrggbb (default: @default)'
        editable:                     true
        system:                       true
        nullable:                     false
      livestreaming_player_fontrollovercolor:
        type:                         color
        value:                        '0x696969'
        name:                         'Text color (Hover)'
        description:                  'Enter a hexadecimal value in the format 0xrrggbb (default: @default)'
        editable:                     true
        system:                       true
        nullable:                     false
      livestreaming_player_logo:
        type:                         file
        value:                        player_logo.png
        destination:                  %SF_ROOT_DIR%/userdata/
        mime-types:                   web_images
        name:                         'Logo'
        description:                  'This is the image file that is used as a logo in the player'
        editable:                     true
        system:                       false
        nullable:                     false
      livestreaming_player_controlbar_height:
        type:                         integer
        value:                        0
        name:                         'ViMP Media Player control bar height'
        description:                  'Height in pixel (default: @default)'
        editable:                     true
        system:                       true
        nullable:                     false
      livestreaming_player_key:
        type:                         string
        value:                        ''
        name:                         'ViMP Media Player Key'
        description:                  ''
        editable:                     true
        system:                       true
        nullable:                     false
        secret:                       true
      livestreaming_player_recviewtype:
        type:                         set
        value:                        coverflow
        set:                          {coverflow: 'coverflow', vista: 'vista', carousel: 'carousel' }
        name:                         'related livestream view'
        description:                  ''
        editable:                     false
        system:                       true
        nullable:                     false


  default_status:
    name:                             'Default status'
    description:                      ''
    weight:                           -9099
    params:
      default_status_livestream:
        type:                         integer
        value:                        3
        name:                         'Status of new livestreams'
        description:                  ''
        editable:                     true
        system:                       true
        nullable:                     false
      default_status_livestream_flag:
        type:                         integer
        value:                        0
        name:                         'Status of new livestream flags'
        description:                  ''
        editable:                     true
        system:                       true
        nullable:                     false
      default_status_livestream_comment:
        type:                         integer
        value:                        3
        name:                         'Status of new livestream comments'
        description:                  ''
        editable:                     true
        system:                       true
        nullable:                     false
